Main Page Class List Class Members

# FbxUtils Class Reference

`#include <NvBlastExtExporterFbxUtils.h>`

List of all members.

## Static Public Member Functions
static std::string | FbxAxisSystemToString (const FbxAxisSystem &axisSystem)
static std::string | FbxSystemUnitToString (const FbxSystemUnit &systemUnit)
static FbxAxisSystem | getBlastFBXAxisSystem ()
static FbxSystemUnit | getBlastFBXUnit ()
static uint32_t | getChunkIndexForNode (FbxNode *node, uint32_t *outParentChunkIndex=nullptr)
static uint32_t | getChunkIndexForNodeBackwardsCompatible (FbxNode *node, uint32_t *outParentChunkIndex=nullptr)
static std::string | getChunkNodeName (uint32_t chunkIndex)
static std::string | getCollisionGeometryLayerName ()
static std::string | getRenderGeometryLayerName ()
static void | NvcVec2ToFbx (const NvcVec2 &inVector, FbxVector2 &outVector)
static void | NvcVec3ToFbx (const NvcVec3 &inVector, FbxVector4 &outVector)
static void | VertexToFbx (const Nv::Blast::Vertex &vert, FbxVector4 &outVertex, FbxVector4 &outNormal, FbxVector2 &outUV)

## Member Function Documentation

static std::string FbxUtils::FbxAxisSystemToString | ( | const FbxAxisSystem & | axisSystem | ) | `[static]`

static std::string FbxUtils::FbxSystemUnitToString | ( | const FbxSystemUnit & | systemUnit | ) | `[static]`

static FbxAxisSystem FbxUtils::getBlastFBXAxisSystem | ( |  | ) | `[static]`

static FbxSystemUnit FbxUtils::getBlastFBXUnit | ( |  | ) | `[static]`

static uint32_t FbxUtils::getChunkIndexForNode | ( | FbxNode * | node,
|  | uint32_t * | outParentChunkIndex = `nullptr` |
| ) |  |  | `[static]`

static uint32_t FbxUtils::getChunkIndexForNodeBackwardsCompatible | ( | FbxNode * | node,
|  | uint32_t * | outParentChunkIndex = `nullptr` |
| ) |  |  | `[static]`

static std::string FbxUtils::getChunkNodeName | ( | uint32_t | chunkIndex | ) | `[static]`

static std::string FbxUtils::getCollisionGeometryLayerName | ( |  | ) | `[static]`

static std::string FbxUtils::getRenderGeometryLayerName | ( |  | ) | `[static]`

static void FbxUtils::NvcVec2ToFbx | ( | const NvcVec2 & | inVector,
|  | FbxVector2 & | outVector |
| ) |  |  | `[static]`

static void FbxUtils::NvcVec3ToFbx | ( | const NvcVec3 & | inVector,
|  | FbxVector4 & | outVector |
| ) |  |  | `[static]`

static void FbxUtils::VertexToFbx | ( | const Nv::Blast::Vertex & | vert,
|  | FbxVector4 & | outVertex,
|  | FbxVector4 & | outNormal,
|  | FbxVector2 & | outUV |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- sdk/extensions/exporter/source/NvBlastExtExporterFbxUtils.h